python-gpgme_0.3-1+b1_amd64.deb


Advertisement

Description

python-gpgme - python wrapper for the GPGME library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-gpgme
Package version 0.3
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 127 B
Download size 23.69 KB
Official Mirror ftp.br.debian.org
PyGPGME is a Python module that lets you sign, verify, encrypt
and decrypt messages using the OpenPGP format.
It is built on top of the GNU Privacy Guard and the
GPGME library.

Alternatives

Package Version Architecture Repository
python-gpgme_0.3-1+b1_i386.deb 0.3 i386 Debian Main
python-gpgme - - -

Requires

Name Value
libc6 >= 2.14
libgpgme11 >= 1.2.0
python >= 2.7
python << 2.8

Provides

Name Value
python2.7-gpgme -

Download

Type URL
Binary Package python-gpgme_0.3-1+b1_amd64.deb
Source Package pygpgme

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gpgme deb package:
    # sudo apt-get install python-gpgme

Files

Path
/usr/lib/python2.7/dist-packages/pygpgme-0.3.egg-info
/usr/lib/python2.7/dist-packages/gpgme/__init__.py
/usr/lib/python2.7/dist-packages/gpgme/_gpgme.so
/usr/lib/python2.7/dist-packages/gpgme/editutil.py
/usr/share/doc/python-gpgme/README
/usr/share/doc/python-gpgme/changelog.Debian.amd64.gz
/usr/share/doc/python-gpgme/changelog.Debian.gz
/usr/share/doc/python-gpgme/copyright

Changelog

2014-03-22 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.3-1) unstable; urgency=medium
* New upstream release (Closes: #665731, #696636)
* Drop all current patches as pointed out by upstream
* Build/test for Python 3 (thanks to sterling work by
Andrew Starr-Bochicchio)
* Patch those tests for which gnupg2 invokes an agent to use
gnupg1 instead. This is a workaround for Launchpad #999949
* debian/rules: clean up properly in clean
2013-02-24 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.2-3) unstable; urgency=low
[ Andrew Starr-Bochicchio ]
* Add python-gpgme-dbg.preinst to handle transitioning
/usr/share/doc/python-gpgme-dbg from a symlink to a directory.
(Closes: #700780).
2012-01-07 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.2-2) unstable; urgency=low
* Upload to unstable.
2011-10-17 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.2-1) experimental; urgency=low
* New upstream release (Closes: #638795)
* Convert to dh_python2
* Refresh patches for new upstream
* debian/python-gpgme.examples: Upstream no longer ships example file
* Remove quilt logic, not necessary with format 3.0 (quilt)
* Convert to debhelper 8 and dh auto-sequencer
2011-04-17 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.1+bzr20090820-3) unstable; urgency=low
* Compile with Large File Support by default
2011-04-17 - Jonathan Wiltshire <jmw@debian.org>
pygpgme (0.1+bzr20090820-2) unstable; urgency=low
* Build for Python 2.7 as supported version
* debian/control: Use only X-Python-Version
* Bump required build-dependency for python-support
* Update my email address
* Standards version 3.9.2
* debian/rules, debian/patches/testsuite-all-versions: Run test
suite at build time, for each supported Python version
* Source format 3.0 (quilt)
2009-10-14 - Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
pygpgme (0.1+bzr20090820-1) unstable; urgency=low
* Sync to Upstream bzr 2009-08-20
* Fix "Fails to create a Context unless gpgme_check_version is called
manually" using custom patch until upstream doesn't fix it (Closes: #549921)
2009-07-16 - Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
pygpgme (0.1+bzr20090429-1) unstable; urgency=low
* Initial release. (Closes: #511170: ITP: pygpgme -- A Python wrapper
for the GPGME library)

See Also

Package Description
python-gpiv_2.0.0-4.2_amd64.deb wrapper of libgpiv
python-gpod_0.8.3-1.1+b1_amd64.deb Python bindings for libgpod
python-gps_3.11-3_amd64.deb Global Positioning System - Python libraries
python-gpyconf_0.2-1_all.deb Python configuration framework with support for multiple backends
python-grapefruit-doc_0.1~a3+dfsg-1_all.deb Python module to manipulate color information easily - documentation
python-grapefruit_0.1~a3+dfsg-1_all.deb Python module to manipulate color information easily
python-graphy_1.0+dfsg-3_all.deb chart generation library for Python
python-greenio_0.6.0-1_all.deb greenlets for asyncio (PEP 3156). - Python 2.x
python-greenlet-dev_0.4.2-2_amd64.deb Lightweight in-process concurrent programming - development files
python-greenlet-doc_0.4.2-2_all.deb Lightweight in-process concurrent programming - documentation
python-greenlet_0.4.2-2_amd64.deb Lightweight in-process concurrent programming
python-grib-doc_1.9.9-2_all.deb Documentation and examples for Python GRIB
python-grib_1.9.9-2_amd64.deb Python module for reading and writing GRIB files
python-gridfs_2.7.2-1_all.deb Python implementation of GridFS for MongoDB
python-gst-1.0_1.2.1-1.1_amd64.deb GStreamer GObject Introspection overrides for Python
Advertisement
Advertisement